// JavaScript Document
function MensajeTip(Mensaje) {
	Tip(Mensaje, BALLOON, true, ABOVE, true, OFFSETX, -17, FADEIN, 600, FADEOUT, 600, PADDING, 8);
}

function VerTipp(parametro) {
	Tip('Haga Click Aquí Para ver el Detalle de<br><b>'+parametro+'</b>', BALLOON, true, ABOVE, true, OFFSETX, -17, FADEIN, 600, FADEOUT, 600, PADDING, 8);
}
function MyTip(opt,parametro)
{
    switch(opt)
    {
    case "fecha":
        Tip('Haga Click en el Botón <img src=images/calendaricon.gif><br>Para Seleccionar la Fecha ' + parametro, BALLOON, true, ABOVE, true, OFFSETX, -17, FADEIN, 600, FADEOUT, 600, PADDING, 8);
		break;
	case "prov":
        Tip('Haga Click en el Botón <img src=images/add.png><br>Para Seleccionar la Proveedor', BALLOON, true, ABOVE, true, OFFSETX, -17, FADEIN, 600, FADEOUT, 600, PADDING, 8);
		break;
	case "cli":
        Tip('Haga Click en el Botón <img src=images/add.png><br>Para Seleccionar un Cliente', BALLOON, true, ABOVE, true, OFFSETX, -17, FADEIN, 600, FADEOUT, 600, PADDING, 8);
		break;
	case "help_art":
	   return Tip("Escriba la descripcion del articulo<br>Por ejemplo <b>\"Jabon Rexona\"</b><br>Y le mostrara todos los productos que contengan<br><b>\"Jabon Rexona\"</b> Dentro de su Descripción", TITLE, "<img src=images/help.ico> AYUDA",CENTERWINDOW, true, CENTERALWAYS, true, STICKY, true, CLOSEBTN, true, WIDTH, 300);
	   break;
	case "orden":
        Tip('Haga Click en <b>'+parametro+'</b><br>Para Ordenar en forma<br>Ascendente/Descendente', BALLOON, true, ABOVE, true, OFFSETX, -17, FADEIN, 600, FADEOUT, 600, PADDING, 8);
		break;
	case "ver":
        Tip('Haga Click Aquí<br>Para ver el Avance de Ventas Detallado de<br><b>'+parametro+'</b>', BALLOON, true, ABOVE, true, OFFSETX, -17, FADEIN, 600, FADEOUT, 600, PADDING, 8);
		break;
    }
}

function VerificaGuardar(tipo,codigo1,codigo2)
	{
	if (tipo == 'P')
		Mensaje = " ¿ DESEA ACTUALIZAR LAS CUOTAS DE LOS PROVEEDORES\n    PARA " + codigo1 +  " - " + codigo2 + " ?"
	if (tipo == 'V')
		Mensaje = " ¿ DESEA ACTUALIZAR LAS CUOTAS DE LOS VENDEDORES\n" + codigo1 +  " \n" + codigo2 + " ?"
	if (tipo == 'L')
		Mensaje = " ¿ DESEA ACTUALIZAR LAS CUOTAS DE LAS AGENCIAS\n" + codigo1 +  " \n" + codigo2 + " ?"
	return confirm(Mensaje)
	}

function Confirmar(opt,tipo,codigo,nombre)
	{
	if (opt=='N') 
		texto1="GUARDAR";
	else if (opt=='A') 
		texto1="ACTUALIZAR";
	if (tipo=='V') 
		texto2="VENDEDOR";
	else if (tipo=='P') 
		texto2="PROVEEDOR";
	Mensaje = " ¿ DESEA "+texto1+" LOS DATOS DEL "+texto2+"\n"+codigo+" - "+nombre+" ?";
	return confirm(Mensaje);
	}

function EliminaPedido(NumPed,Cliente) {
	var Mensaje = "¿ DESEA ELIMINAR EL PEDIDO NRO: "+NumPed+"\nDEL CLIENTE: "+Cliente +" ?";
	return confirm(Mensaje);
	}
	
function EliminaBonificacion(Articulo,Cliente) {
	var Mensaje = "¿ DESEA ELIMINAR LA BONIFICACION :\n"+Articulo +"\n"+Cliente+" ?";
	return confirm(Mensaje);
	}
	
function ConfirmaSueldo(opt,periodo) {
	if (opt=='V') 
		texto1="VENDEDORES";
	Mensaje = " ¿ DESEA GENERAR LOS SUELDOS DE LOS "+texto1+"\nDEL "+periodo+" ?";
	return confirm(Mensaje);
	}
function uno(src,color_entrada) { 
    src.bgColor=color_entrada;src.style.cursor="default"; 
}
function dos(src,color_default) { 
    src.bgColor=color_default;src.style.cursor="default"; 
} 

function redondear(cantidad, decimales) {
var cantidad = parseFloat(cantidad);
var decimales = parseFloat(decimales);
decimales = (!decimales ? 2 : decimales);
return Math.round(cantidad * Math.pow(10, decimales)) / Math.pow(10, decimales);
}    

function Calcula(index){
	var Peso = document.getElementsByName("Peso")[index];
	var Cuota = document.getElementsByName("Cuota")[index];
	var Total = document.FrmDatos.Total.value;
	if((Peso.value != "" && !isNaN(Peso.value))){
		Cuota.value = redondear(Peso.value*Total/100,10);
		}
	else{
		Cuota.value = "";
		}
	calcularTotales()
	}

function CalculaPeso(index){
	var Peso = document.getElementsByName("Peso")[index];
	var Cuota = document.getElementsByName("Cuota")[index];
	var Total = document.FrmDatos.Total.value;
	if((Cuota.value != "" && !isNaN(Cuota.value))){
		Peso.value = redondear(Cuota.value/Total*100,10);
		//Peso.value = Cuota.value/Total*100;
		}
	else{
		Cuota.value = "";
		}
	calcularTotales()
	}
	
function calcularTotales(){
	var Cuota = document.getElementsByName("Cuota");
	var Peso = document.getElementsByName("Peso");
	var sumaC = 0;
	var sumaP = 0;
	for(var i=0; i<Peso.length; i++){
		if(Cuota[i].value != "" && Peso[i].value != "" && !isNaN(Peso[i].value) && !isNaN(Cuota[i].value)){
		sumaC += Cuota[i].value*1;
		sumaP += Peso[i].value*1;
		}
	}	
	document.getElementById("Peso_Total").value = redondear(sumaP,3);
	document.getElementById("Cuota_Total").value = redondear(sumaC,2);
}
function calcularCuotaTotal(){
	var Cuota = document.getElementsByName("Cuota");
	var sumaC = 0;
	for(var i=0; i<Cuota.length; i++){
		if(Cuota[i].value != "" && !isNaN(Cuota[i].value)){
		sumaC += Cuota[i].value*1;
		}
	}	
	document.getElementById("Cuota_Total").value = redondear(sumaC,2);
}
function valida_envia() { 	
	
	if (document.form.por && document.form.por.value=="") { 
		alert("DEBE ESPECIFICAR UN PES")	    
		document.form.por.focus()
		return (false); 
		}
	else if (document.form.loc && document.form.loc.value=="Ninguno") { 
		alert(msj_loc)	    
		document.form.loc.focus()
		return (false); 
		}
	else if (document.form.grupo && document.form.grupo.value=="Ninguno") { 
		   alert(msj_grupo)
		   document.form.grupo.focus()
		   return (false); 
		}
	else if (document.form.cat && document.form.cat.value=="Ninguno") { 
		   alert(msj_cat)
		   document.form.cat.focus()
		   return (false); 
		}
	else if (document.form.mes && document.form.mes.value=="Ninguno") { 
		alert(msj_mes)	    
		document.form.mes.focus()
		return (false); 
		}
	else if (document.form.fini && document.form.fini.value=="") { 
		   alert(msj_fechaini)
		   document.form.fini.focus()
		   return (false); 
		}
	else if (document.form.ffin && document.form.ffin.value=="") { 
		   alert(msj_fechafin)
		   document.form.ffin.focus()
		   return (false); 
		}
	else {
		return true
		}
	}

function AbrirPopup(URL, Ventana, Ancho, Alto, MargenS, MargenI, Barras) {
 var win=null;
 win=window.open(URL, Ventana, "width="+Ancho+", height="+Alto+", scrollbars="+Barras+", top="+MargenS+", left="+MargenI+", resizable='No', toolbar=No");
 win.focus();
 }
